Package org.eclipse.mat.util

# Enum IProgressListener.Severity

java.lang.Object
java.lang.Enum<IProgressListener.Severity>
org.eclipse.mat.util.IProgressListener.Severity

All Implemented Interfaces:
  `Serializable`, `Comparable<IProgressListener.Severity>`, `java.lang.constant.Constable`

Enclosing interface:
  IProgressListener

public static enum IProgressListener.Severity extends Enum<IProgressListener.Severity>
Defines the severities possible for a user message.

- `ERROR` - a serious error (most severe)
- `WARNING` - a warning (less severe)
- `INFO` - an informational ("fyi") message (least severe)

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ERROR`
Severity indicating this user message represents an error.
`INFO`
Severity indicating this user message is informational only.
`WARNING`
Severity indicating this user message represents a warning.

## Method Summary

Modifier and Type
Method
Description
`static IProgressListener.Severity`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static IProgressListener.Severity[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### INFO

public static final IProgressListener.Severity INFO
Severity indicating this user message is informational only.

### WARNING

public static final IProgressListener.Severity WARNING
Severity indicating this user message represents a warning.

### ERROR

public static final IProgressListener.Severity ERROR
Severity indicating this user message represents an error.

## Method Details

### values

public static IProgressListener.Severity[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static IProgressListener.Severity valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null